import 'package:flutter/material.dart';
import 'package:photo_view/photo_view.dart';
import 'package:cached_network_image/cached_network_image.dart';
import 'package:video_player/video_player.dart';

class VideoAndPicture extends StatelessWidget {
  const VideoAndPicture({
    Key key,
    @required this.image,
    @required this.title,
    @required this.controller,
  }) : super(key: key);
  final String image;
  final String title;
  final VideoPlayerController controller;
  @override
  Widget build(BuildContext context) {
    return Directionality(
      textDirection: TextDirection.ltr,
      child: Scaffold(
        backgroundColor: Colors.black,
        appBar: AppBar(
          leading: IconButton(
            onPressed: () {
              Navigator.pop(context);
            },
            icon: Icon(
              Icons.arrow_back,
              color: Colors.white,
            ),
          ),
          title: Text(
            this.title,
          ),
          backgroundColor: Colors.black,
        ),
        body: PhotoView(
          imageProvider: CachedNetworkImageProvider(
            this.title == "Play" ? this.image : this.image,
          ),
        ),
      ),
    );
  }
}
